"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultPoisonousMessageRetryStrategy = exports.defaultMessageRetryStrategy = exports.defaultMessageProcessingTransactionLevelStrategy = exports.defaultMessageProcessingTimeoutStrategy = exports.defaultMessageProcessingDbClientStrategy = exports.DatabaseSetupExporter = exports.DatabaseSetup = exports.defaultReplicationListenerRestartStrategy = exports.defaultReplicationListenerAndSlotRestartStrategy = exports.defaultReplicationConcurrencyStrategy = exports.initializeReplicationMessageListener = exports.printOutboxReplicationListenerEnvVariables = exports.printInboxReplicationListenerEnvVariables = exports.getOutboxReplicationListenerSettings = exports.getInboxReplicationListenerSettings = exports.createReplicationSemaphoreConcurrencyController = exports.createReplicationSegmentMutexConcurrencyController = exports.createReplicationMutexConcurrencyController = exports.createReplicationMultiConcurrencyController = exports.createReplicationFullConcurrencyController = exports.initializePollingMessageListener = exports.printOutboxPollingListenerEnvVariables = exports.printInboxPollingListenerEnvVariables = exports.getOutboxPollingListenerSettings = exports.getInboxPollingListenerSettings = exports.runScheduledMessageCleanup = exports.runMessageCleanupOnce = exports.initializeMessageStorage = exports.executeTransaction = exports.IsolationLevel = exports.getInMemoryLogger = exports.getDisabledLogger = exports.getDefaultLogger = exports.printOutboxListenerEnvVariables = exports.printInboxListenerEnvVariables = exports.outboxEnvPrefix = exports.inboxEnvPrefix = exports.getOutboxListenerSettings = exports.getInboxListenerSettings = exports.fallbackEnvPrefix = exports.ensureExtendedError = exports.TransactionalOutboxInboxError = exports.MessageError = void 0;
const db_setup_cli_1 = require("./setup/db-setup-cli");
var error_1 = require("./common/error");
Object.defineProperty(exports, "MessageError", { enumerable: true, get: function () { return error_1.MessageError; } });
Object.defineProperty(exports, "TransactionalOutboxInboxError", { enumerable: true, get: function () { return error_1.TransactionalOutboxInboxError; } });
Object.defineProperty(exports, "ensureExtendedError", { enumerable: true, get: function () { return error_1.ensureExtendedError; } });
var listener_config_1 = require("./common/listener-config");
Object.defineProperty(exports, "fallbackEnvPrefix", { enumerable: true, get: function () { return listener_config_1.fallbackEnvPrefix; } });
Object.defineProperty(exports, "getInboxListenerSettings", { enumerable: true, get: function () { return listener_config_1.getInboxListenerSettings; } });
Object.defineProperty(exports, "getOutboxListenerSettings", { enumerable: true, get: function () { return listener_config_1.getOutboxListenerSettings; } });
Object.defineProperty(exports, "inboxEnvPrefix", { enumerable: true, get: function () { return listener_config_1.inboxEnvPrefix; } });
Object.defineProperty(exports, "outboxEnvPrefix", { enumerable: true, get: function () { return listener_config_1.outboxEnvPrefix; } });
Object.defineProperty(exports, "printInboxListenerEnvVariables", { enumerable: true, get: function () { return listener_config_1.printInboxListenerEnvVariables; } });
Object.defineProperty(exports, "printOutboxListenerEnvVariables", { enumerable: true, get: function () { return listener_config_1.printOutboxListenerEnvVariables; } });
var logger_1 = require("./common/logger");
Object.defineProperty(exports, "getDefaultLogger", { enumerable: true, get: function () { return logger_1.getDefaultLogger; } });
Object.defineProperty(exports, "getDisabledLogger", { enumerable: true, get: function () { return logger_1.getDisabledLogger; } });
Object.defineProperty(exports, "getInMemoryLogger", { enumerable: true, get: function () { return logger_1.getInMemoryLogger; } });
var utils_1 = require("./common/utils");
Object.defineProperty(exports, "IsolationLevel", { enumerable: true, get: function () { return utils_1.IsolationLevel; } });
Object.defineProperty(exports, "executeTransaction", { enumerable: true, get: function () { return utils_1.executeTransaction; } });
var initialize_message_storage_1 = require("./message/initialize-message-storage");
Object.defineProperty(exports, "initializeMessageStorage", { enumerable: true, get: function () { return initialize_message_storage_1.initializeMessageStorage; } });
var message_cleanup_1 = require("./message/message-cleanup");
Object.defineProperty(exports, "runMessageCleanupOnce", { enumerable: true, get: function () { return message_cleanup_1.runMessageCleanupOnce; } });
Object.defineProperty(exports, "runScheduledMessageCleanup", { enumerable: true, get: function () { return message_cleanup_1.runScheduledMessageCleanup; } });
var config_1 = require("./polling/config");
Object.defineProperty(exports, "getInboxPollingListenerSettings", { enumerable: true, get: function () { return config_1.getInboxPollingListenerSettings; } });
Object.defineProperty(exports, "getOutboxPollingListenerSettings", { enumerable: true, get: function () { return config_1.getOutboxPollingListenerSettings; } });
Object.defineProperty(exports, "printInboxPollingListenerEnvVariables", { enumerable: true, get: function () { return config_1.printInboxPollingListenerEnvVariables; } });
Object.defineProperty(exports, "printOutboxPollingListenerEnvVariables", { enumerable: true, get: function () { return config_1.printOutboxPollingListenerEnvVariables; } });
var polling_message_listener_1 = require("./polling/polling-message-listener");
Object.defineProperty(exports, "initializePollingMessageListener", { enumerable: true, get: function () { return polling_message_listener_1.initializePollingMessageListener; } });
var create_full_concurrency_controller_1 = require("./replication/concurrency-controller/create-full-concurrency-controller");
Object.defineProperty(exports, "createReplicationFullConcurrencyController", { enumerable: true, get: function () { return create_full_concurrency_controller_1.createReplicationFullConcurrencyController; } });
var create_multi_concurrency_controller_1 = require("./replication/concurrency-controller/create-multi-concurrency-controller");
Object.defineProperty(exports, "createReplicationMultiConcurrencyController", { enumerable: true, get: function () { return create_multi_concurrency_controller_1.createReplicationMultiConcurrencyController; } });
var create_mutex_concurrency_controller_1 = require("./replication/concurrency-controller/create-mutex-concurrency-controller");
Object.defineProperty(exports, "createReplicationMutexConcurrencyController", { enumerable: true, get: function () { return create_mutex_concurrency_controller_1.createReplicationMutexConcurrencyController; } });
var create_segment_mutex_concurrency_controller_1 = require("./replication/concurrency-controller/create-segment-mutex-concurrency-controller");
Object.defineProperty(exports, "createReplicationSegmentMutexConcurrencyController", { enumerable: true, get: function () { return create_segment_mutex_concurrency_controller_1.createReplicationSegmentMutexConcurrencyController; } });
var create_semaphore_concurrency_controller_1 = require("./replication/concurrency-controller/create-semaphore-concurrency-controller");
Object.defineProperty(exports, "createReplicationSemaphoreConcurrencyController", { enumerable: true, get: function () { return create_semaphore_concurrency_controller_1.createReplicationSemaphoreConcurrencyController; } });
var config_2 = require("./replication/config");
Object.defineProperty(exports, "getInboxReplicationListenerSettings", { enumerable: true, get: function () { return config_2.getInboxReplicationListenerSettings; } });
Object.defineProperty(exports, "getOutboxReplicationListenerSettings", { enumerable: true, get: function () { return config_2.getOutboxReplicationListenerSettings; } });
Object.defineProperty(exports, "printInboxReplicationListenerEnvVariables", { enumerable: true, get: function () { return config_2.printInboxReplicationListenerEnvVariables; } });
Object.defineProperty(exports, "printOutboxReplicationListenerEnvVariables", { enumerable: true, get: function () { return config_2.printOutboxReplicationListenerEnvVariables; } });
var replication_message_listener_1 = require("./replication/replication-message-listener");
Object.defineProperty(exports, "initializeReplicationMessageListener", { enumerable: true, get: function () { return replication_message_listener_1.initializeReplicationMessageListener; } });
var concurrency_strategy_1 = require("./replication/strategies/concurrency-strategy");
Object.defineProperty(exports, "defaultReplicationConcurrencyStrategy", { enumerable: true, get: function () { return concurrency_strategy_1.defaultReplicationConcurrencyStrategy; } });
var listener_restart_strategy_1 = require("./replication/strategies/listener-restart-strategy");
Object.defineProperty(exports, "defaultReplicationListenerAndSlotRestartStrategy", { enumerable: true, get: function () { return listener_restart_strategy_1.defaultReplicationListenerAndSlotRestartStrategy; } });
Object.defineProperty(exports, "defaultReplicationListenerRestartStrategy", { enumerable: true, get: function () { return listener_restart_strategy_1.defaultReplicationListenerRestartStrategy; } });
var database_setup_1 = require("./setup/database-setup");
Object.defineProperty(exports, "DatabaseSetup", { enumerable: true, get: function () { return database_setup_1.DatabaseSetup; } });
var database_setup_exporter_1 = require("./setup/database-setup-exporter");
Object.defineProperty(exports, "DatabaseSetupExporter", { enumerable: true, get: function () { return database_setup_exporter_1.DatabaseSetupExporter; } });
var message_processing_db_client_strategy_1 = require("./strategies/message-processing-db-client-strategy");
Object.defineProperty(exports, "defaultMessageProcessingDbClientStrategy", { enumerable: true, get: function () { return message_processing_db_client_strategy_1.defaultMessageProcessingDbClientStrategy; } });
var message_processing_timeout_strategy_1 = require("./strategies/message-processing-timeout-strategy");
Object.defineProperty(exports, "defaultMessageProcessingTimeoutStrategy", { enumerable: true, get: function () { return message_processing_timeout_strategy_1.defaultMessageProcessingTimeoutStrategy; } });
var message_processing_transaction_level_strategy_1 = require("./strategies/message-processing-transaction-level-strategy");
Object.defineProperty(exports, "defaultMessageProcessingTransactionLevelStrategy", { enumerable: true, get: function () { return message_processing_transaction_level_strategy_1.defaultMessageProcessingTransactionLevelStrategy; } });
var message_retry_strategy_1 = require("./strategies/message-retry-strategy");
Object.defineProperty(exports, "defaultMessageRetryStrategy", { enumerable: true, get: function () { return message_retry_strategy_1.defaultMessageRetryStrategy; } });
var poisonous_message_retry_strategy_1 = require("./strategies/poisonous-message-retry-strategy");
Object.defineProperty(exports, "defaultPoisonousMessageRetryStrategy", { enumerable: true, get: function () { return poisonous_message_retry_strategy_1.defaultPoisonousMessageRetryStrategy; } });
// Execute the CLI
if (require.main === module) {
    (() => __awaiter(void 0, void 0, void 0, function* () {
        yield (0, db_setup_cli_1.dbSetupCli)();
    }))();
}
//# sourceMappingURL=index.js.map