"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.defaultPoisonousMessageRetryStrategy = void 0;
/**
 * Get the default message retry strategy for poisonous messages. This strategy
 * checks that the difference between started attempts and finished attempts is
 * not exceeded. The number can be defined in the
 * `config.settings.maxPoisonousAttempts` variable and defaults to 3 poisonous
 * retry attempts.
 */
const defaultPoisonousMessageRetryStrategy = (config) => (message) => {
    var _a;
    const diff = message.startedAttempts - message.finishedAttempts;
    return diff <= ((_a = config.settings.maxPoisonousAttempts) !== null && _a !== void 0 ? _a : 3);
};
exports.defaultPoisonousMessageRetryStrategy = defaultPoisonousMessageRetryStrategy;
//# sourceMappingURL=poisonous-message-retry-strategy.js.map